# OnQuit An user is leaving IRC
Parameters
    $0 = nickname
    $1 = username
    $2 = hostname
    $3 = quit message
    $4 = channels
Window
Console
Description
Triggered when an user is quitting IRC. The QUIT message has already been processed by the server, so the user is effectively no longer on IRC. On the other side, it might be useful to access the user-related data from this event, thus the handler is called effectively just BEFORE the user is effectively removed from the IRC user list (and thus from the channels and query windows). The fifth parameter ($4) contains the list of channels on that the user was just before quitting. Calling 'halt' in this event will stop the quit message output (in ALL the windows!).
Examples
        foreach(%cname,$4)echo -r=$channel(%cname) User $0 is quitting...
See also
onpart, onmepart

Index, Events

KVIrc 4.2.0.6190 Documentation
Generated by root at Tue Sep 24 07:25:10 2013